## clustershell 1.7

=== doc/sphinx/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
TMPDIR       ?= /tmp
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = $(TMPDIR)

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/{html,dirhtml,singlehtml,pickle,json,htmlhelp,qthelp,devhelp,epub,latex,text,man,textinfo,gettext,changes,linkcheck,doctest}

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/clustershell.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/clustershell.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/clustershell"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/clustershell"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## clustershell 1.3

=== debian/changelog ===
clustershell (1.3-1) unstable; urgency=low

  * Initial release. (Closes: #584769)

 -- Stéphan Gorget <phantez@gmail.com>  Fri, 28 Jul 2010 18:38:40 +0200

=== debian/control ===
Source: clustershell
Section: net
Priority: optional
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Stéphan Gorget <phantez@gmail.com>
Homepage: http://sourceforge.net/projects/clustershell/
Build-Depends: debhelper (>= 7~), python-support (>= 0.6), cdbs (>= 0.4.49), python-all
XS-Python-Version: >= 2.4
Standards-Version: 3.9.1
Vcs-Svn: svn://svn.debian.org/python-apps/packages/clustershell/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/clustershell/trunk/

Package: clustershell
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Distributed shell that provides an efficient python interface
 Event-based Python library to execute commands on local or distant
 cluster nodes in parallel depending on the selected engine and
 worker mechanisms.
 .
 The library provides also advanced nodeset handling methods. Its goal
 is to improve the administration of cluster by providing a lightweight
 but scalable API for developers.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_PYTHON_SYSTEM := pysupport

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

clean::
	rm -rf build scripts/nodeset scripts/clush scripts/clubak 
	dh_clean

## clustershell 1.3.3

=== debian/changelog ===
clustershell (1.3.3-1) unstable; urgency=low

  * Modify rules to change from CDBS to dh
  * Syntax highlighting for clustershell
    - Modify control recommends vim-addon-manager
    - Add README.Debian to explain how to integrate vim files with
      vim-addon-manager.
    - Add clustershell.yaml for vim-addon-manager
    - Modify install and dirs to install yaml and .vim files
  * New upstream release 1.3.3

 -- Stéphan Gorget <phantez@gmail.com>  Sun, 28 Nov 2010 01:50:29 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: Stéphan Gorget <phantez@gmail.com>
 Homepage: http://sourceforge.net/projects/clustershell/
-Build-Depends: debhelper (>= 7~), python-support (>= 0.6), cdbs (>= 0.4.49), python-all
+Build-Depends: debhelper (>= 7~), python-support, python-all, python-setuptools
 XS-Python-Version: >= 2.4
 Standards-Version: 3.9.1
 Vcs-Svn: svn://svn.debian.org/python-apps/packages/clustershell/trunk/
@@ -13,6 +13,7 @@
 Package: clustershell
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}
+Recommends: vim-addon-manager
 Description: Distributed shell that provides an efficient python interface
  Event-based Python library to execute commands on local or distant
  cluster nodes in parallel depending on the selected engine and

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

get-orig-tarball:
	uscan --verbose --force-download

clean:
	dh $@
	rm -rf scripts/nodeset scripts/clush scripts/clubak

## clustershell 1.4.3

=== debian/changelog ===
clustershell (1.4.3-1) unstable; urgency=low

  * New upstream release 1.4.3
  * Changed to use dh_python2
  * Debian policy 3.9.2

 -- Stéphan Gorget <phantez@gmail.com>  Sat, 16 Apr 2011 18:15:05 +0200

clustershell (1.4-1) unstable; urgency=low

  * New upstream release
  * Add version number to the Build-Depends parameters :
    - python-support (>= 0.6)
    - python-all(>= 2.4)
    - python-setuptools (>= 0.6)
  * Remove debian/dir useless file

 -- Stéphan Gorget <phantez@gmail.com>  Wed, 26 Jan 2011 10:48:28 +0100

## clustershell 1.5.1

=== debian/changelog ===
clustershell (1.5.1-1build1) precise; urgency=low

  * Rebuild to drop python2.6 dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 31 Dec 2011 02:01:43 +0000

clustershell (1.5.1-1) unstable; urgency=low

  * New upstream release

 -- Stéphan Gorget <phantez@gmail.com>  Tue, 12 Jul 2011 18:45:38 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: Stéphan Gorget <phantez@gmail.com>
 Homepage: http://sourceforge.net/projects/clustershell/
-Build-Depends: debhelper (>= 7~), python-support, python-all, python-setuptools
-XS-Python-Version: >= 2.4
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 7), python-all(>= 2.6.6-3~), python-setuptools (>= 0.6)
+X-Python-Version: >= 2.4
+Standards-Version: 3.9.2
 Vcs-Svn: svn://svn.debian.org/python-apps/packages/clustershell/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/clustershell/trunk/

## clustershell 1.6

=== debian/changelog ===
clustershell (1.6-4) unstable; urgency=low

  * Remove lib/ClusterShell.egg-info after build. Closes: #671188

 -- Stéphan Gorget <phantez@gmail.com>  Wed, 20 Feb 2014 07:00:00 +0100

clustershell (1.6-3) UNRELEASED; urgency=low

  * Move recommends to suggests
  * Debian policy 3.9.5

 -- Stéphan Gorget <phantez@gmail.com>  Wed, 19 Feb 2014 18:07:11 +0100

clustershell (1.6-2) UNRELEASED; urgency=low

  * Remove Vcs-* fields pointing to upstream repository.
  * Add Vcs-* fields pointing to Debian packaging.

 -- Jakub Wilk <jwilk@debian.org>  Sun, 05 May 2013 15:37:00 +0200

clustershell (1.6-1) unstable; urgency=low

  * New upstream release 1.6
  * Changed groups.conf to works with mawk. Closes: #638752
  * Added new folder groups.conf.d and 2 example files and a README
  * Mainstream project has moved from sourceforge to github
    - Changed all the related urls
  * Validated Standards-Version 3.9.3

 -- Stéphan Gorget <phantez@gmail.com>  Sat, 14 Apr 2012 00:36:24 +0200

=== debian/control ===
Source: clustershell
Section: net
Priority: optional
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Stéphan Gorget <phantez@gmail.com>
Homepage: http://cea-hpc.github.com/clustershell/
Build-Depends: debhelper (>= 7), python-all(>= 2.6.6-3~), python-setuptools (>= 0.6)
X-Python-Version: >= 2.4
Standards-Version: 3.9.3
Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/clustershell/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/clustershell/trunk/

Package: clustershell
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Suggests: vim-addon-manager
Description: Distributed shell that provides an efficient python interface
 Event-based Python library to execute commands on local or distant
 cluster nodes in parallel depending on the selected engine and
 worker mechanisms.
 .
 The library provides also advanced nodeset handling methods. Its goal
 is to improve the administration of cluster by providing a lightweight
 but scalable API for developers.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

get-orig-tarball:
	uscan --verbose --force-download

clean:
	dh $@
	rm -rf scripts/nodeset scripts/clush scripts/clubak lib/ClusterShell.egg-info

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/C/ClusterShell/clustershell-([\d\.]*)\.tar.gz

## clustershell 1.7-1

=== debian/changelog ===
clustershell (1.7-1-1) unstable; urgency=low

  * New upstream release 1.7
  * Debian policy 3.9.6, no changes required
  * Add python-yaml as recommended

 -- Stéphan Gorget <phantez@gmail.com>  Fri, 27 Nov 2015 11:14:20 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Homepage: http://cea-hpc.github.com/clustershell/
 Build-Depends: debhelper (>= 7), python-all(>= 2.6.6-3~), python-setuptools (>= 0.6)
 X-Python-Version: >= 2.4
-Standards-Version: 3.9.3
+Standards-Version: 3.9.6
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/clustershell/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/clustershell/trunk/
 
@@ -14,6 +14,7 @@
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}
 Suggests: vim-addon-manager
+Recommends: python-yaml
 Description: Distributed shell that provides an efficient python interface
  Event-based Python library to execute commands on local or distant
  cluster nodes in parallel depending on the selected engine and

=== debian/watch ===
version=3
http://pypi.debian.net/ClusterShell/clustershell-(.*).tar.gz

## clustershell 1.7.2

=== debian/changelog ===
clustershell (1.7.2-1) unstable; urgency=medium

  * New upstream release
  * Debian policy 3.9.8, no changes required

 -- Stéphan Gorget <phantez@gmail.com>  Sat, 25 Jun 2016 18:31:21 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: Stéphan Gorget <phantez@gmail.com>
 Homepage: http://cea-hpc.github.com/clustershell/
-Build-Depends: debhelper (>= 7), python-all(>= 2.6.6-3~), python-setuptools (>= 0.6)
+Build-Depends: debhelper (>= 7), python-all(>= 2.6.6-3~), python-setuptools (>= 0.6), dh-python
 X-Python-Version: >= 2.4
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/clustershell/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/clustershell/trunk/

## clustershell 1.7.3

=== debian/changelog ===
clustershell (1.7.3-1) unstable; urgency=medium

  * New upstream release
  * New binary and manpage cluset
  * Change license from "CeCILL-C V1" to "LGPL v2.1 or later".

 -- Stéphan Gorget <phantez@gmail.com>  Fri, 23 Dec 2016 10:46:28 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: Stéphan Gorget <phantez@gmail.com>
 Homepage: http://cea-hpc.github.com/clustershell/
-Build-Depends: debhelper (>= 7), python-all(>= 2.6.6-3~), python-setuptools (>= 0.6), dh-python
+Build-Depends: debhelper (>= 9), python-all(>= 2.6.6-3~), python-setuptools (>= 0.6), dh-python
 X-Python-Version: >= 2.4
 Standards-Version: 3.9.8
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/clustershell/trunk/
@@ -16,7 +16,7 @@
 Suggests: vim-addon-manager
 Recommends: python-yaml
 Description: Distributed shell that provides an efficient python interface
- Event-based Python library to execute commands on local or distant
+ Event-based python library to execute commands on local or distant
  cluster nodes in parallel depending on the selected engine and
  worker mechanisms.
  .

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

get-orig-tarball:
	uscan --verbose --force-download

clean:
	dh $@
	rm -rf scripts/nodeset scripts/clush scripts/clubak scripts/cluset lib/ClusterShell.egg-info

## clustershell 1.8

=== debian/changelog ===
clustershell (1.8-1) unstable; urgency=medium

  * New upstream release
  * Debian policy 4.1.1.1, no changes required
  * split into 3 packages:
    - clustershell that contains the binaries and depend on python3-clustershell
    - python3-clustershell that contains the library for python3
    - python-clustershell that contains the library for python2
  * Version supported of python are now :
    - python (>= 2.6) and python (>= 3.4)

 -- Stéphan Gorget <phantez@gmail.com>  Wed, 25 Oct 2017 22:48:31 +0200

clustershell (1.7.3-2) unstable; urgency=medium

  * Add dependency python-pkg-resources (closes: Bug#870359)
  * Debian policy 4.0.1, no changes required

 -- Stéphan Gorget <phantez@gmail.com>  Tue, 22 Aug 2017 15:41:03 +0200

=== debian/control ===
Source: clustershell
Section: net
Priority: optional
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Stéphan Gorget <phantez@gmail.com>
Homepage: http://cea-hpc.github.com/clustershell/
Build-Depends: debhelper (>= 9), python-all (>= 2.6.6-3~), python3-all (>= 3.4), python-setuptools (>= 0.6), python3-setuptools, dh-python
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.4
Standards-Version: 4.1.1
Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/clustershell/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/clustershell/trunk/

Package: python-clustershell
Architecture: all
Section: python
Depends: ${misc:Depends}, ${python:Depends}, python-pkg-resources
Breaks: clustershell (<< 1.8)
Replaces: clustershell (<< 1.8)
Suggests: vim-addon-manager
Recommends: python-yaml
Description: clustershell python2 libraries
 Event-based Python library to execute commands on local or distant
 cluster nodes in parallel depending on the selected engine and
 worker mechanisms.

Package: python3-clustershell
Architecture: all
Section: python
Depends: ${misc:Depends}, ${python3:Depends}, python3-pkg-resources
Suggests: vim-addon-manager
Recommends: python3-yaml
Description: clustershell python3 libraries
 Event-based Python library to execute commands on local or distant
 cluster nodes in parallel depending on the selected engine and
 worker mechanisms.

Package: clustershell
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-clustershell
Suggests: vim-addon-manager
Recommends: python3-yaml
Description: Distributed shell that provides an efficient Python interface
 Event-based Python library to execute commands on local or distant
 cluster nodes in parallel depending on the selected engine and
 worker mechanisms.
 .
 The library provides also advanced nodeset handling methods. Its goal
 is to improve the administration of cluster by providing a lightweight
 but scalable API for developers.

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,29 @@
 #!/usr/bin/make -f
 
+#export DH_VERBOSE=1
+export PYBUILD_NAME=clustershell
+export PYBUILD_DESTDIR_python3 = debian/python3-$(PYBUILD_NAME)
+export PYBUILD_AFTER_INSTALL_python2 = rm -rf {destdir}/usr/bin {destdir}/etc/clustershell
+export PYBUILD_AFTER_INSTALL_python3 = rm -rf {destdir}/etc/clustershell
+
 %:
-	dh $@ --with python2
+	dh $@ --with python2,python3 --buildsystem=pybuild
 
 get-orig-tarball:
 	uscan --verbose --force-download
+
+override_dh_auto_install:
+	dh_auto_install
+	dh_movefiles --package=$(PYBUILD_NAME) --sourcedir=$(PYBUILD_DESTDIR_python3) usr/bin
+	dh_install --package=$(PYBUILD_NAME) conf/clush.conf etc/clustershell
+	dh_install --package=$(PYBUILD_NAME) conf/groups.conf etc/clustershell
+	dh_install --package=$(PYBUILD_NAME) conf/groups.conf.d etc/clustershell
+	dh_install --package=$(PYBUILD_NAME) conf/groups.d etc/clustershell
+	dh_install --package=$(PYBUILD_NAME) debian/clustershell.yaml usr/share/vim/registry
+	dh_install --package=$(PYBUILD_NAME) debian/clustershell.yaml usr/share/vim/registry
+	dh_install --package=$(PYBUILD_NAME) doc/extras/vim/ftdetect/clustershell.vim usr/share/vim/addons/ftdetect
+	dh_install --package=$(PYBUILD_NAME) doc/extras/vim/syntax/clushconf.vim usr/share/vim/addons/syntax
+	dh_install --package=$(PYBUILD_NAME) doc/extras/vim/syntax/groupsconf.vim usr/share/vim/addons/syntax
 
 clean:
 	dh $@

=== debian/watch ===
version=3
https://pypi.debian.net/ClusterShell/ClusterShell-(.*).tar.gz

## clustershell 1.8.1

=== debian/changelog ===
clustershell (1.8.1-2) unstable; urgency=medium

  * Team upload.
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support.

 -- Ondřej Nový <onovy@debian.org>  Sun, 25 Aug 2019 10:22:21 +0200

clustershell (1.8.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

  [ Stéphan Gorget ]
  * Debian policy 4.2.1, no changes required
  * New upstream release

 -- Stéphan Gorget <phantez@gmail.com>  Mon, 05 Nov 2018 11:38:52 +0100

=== debian/control ===
Source: clustershell
Section: net
Priority: optional
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Stéphan Gorget <phantez@gmail.com>
Homepage: http://cea-hpc.github.com/clustershell/
Build-Depends: debhelper-compat (= 9), python3-all (>= 3.4), python3-setuptools, dh-python
Standards-Version: 4.2.1
Vcs-Git: https://salsa.debian.org/python-team/applications/clustershell.git
Vcs-Browser: https://salsa.debian.org/python-team/applications/clustershell

Package: python3-clustershell
Architecture: all
Section: python
Depends: ${misc:Depends}, ${python3:Depends}, python3-pkg-resources
Suggests: vim-addon-manager
Recommends: python3-yaml
Description: clustershell python3 libraries
 Event-based Python library to execute commands on local or distant
 cluster nodes in parallel depending on the selected engine and
 worker mechanisms.

Package: clustershell
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-clustershell
Suggests: vim-addon-manager
Recommends: python3-yaml
Description: Distributed shell that provides an efficient Python interface
 Event-based Python library to execute commands on local or distant
 cluster nodes in parallel depending on the selected engine and
 worker mechanisms.
 .
 The library provides also advanced nodeset handling methods. Its goal
 is to improve the administration of cluster by providing a lightweight
 but scalable API for developers.

## clustershell 1.8.3

=== debian/changelog ===
clustershell (1.8.3-1) unstable; urgency=medium

  * New upstream release
  * Use secure URI in Homepage field.
  * Bump debhelper from old 9 to 12.
  * Set upstream metadata fields: Repository.
  * Fix day-of-week for changelog entries 1.6-4, 1.3-1.

 -- Stéphan Gorget <phantez@gmail.com>  Thu, 17 Oct 2019 08:10:15 +0000

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: Stéphan Gorget <phantez@gmail.com>
-Homepage: http://cea-hpc.github.com/clustershell/
-Build-Depends: debhelper-compat (= 9), python3-all (>= 3.4), python3-setuptools, dh-python
+Homepage: https://cea-hpc.github.com/clustershell/
+Build-Depends: debhelper-compat (= 12), python3-all (>= 3.4), python3-setuptools, dh-python
 Standards-Version: 4.2.1
 Vcs-Git: https://salsa.debian.org/python-team/applications/clustershell.git
 Vcs-Browser: https://salsa.debian.org/python-team/applications/clustershell

=== debian/rules ===
--- 
+++ 
@@ -3,11 +3,10 @@
 #export DH_VERBOSE=1
 export PYBUILD_NAME=clustershell
 export PYBUILD_DESTDIR_python3 = debian/python3-$(PYBUILD_NAME)
-export PYBUILD_AFTER_INSTALL_python2 = rm -rf {destdir}/usr/bin {destdir}/etc/clustershell
 export PYBUILD_AFTER_INSTALL_python3 = rm -rf {destdir}/etc/clustershell
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 get-orig-tarball:
 	uscan --verbose --force-download
@@ -25,7 +24,6 @@
 	dh_install --package=$(PYBUILD_NAME) doc/extras/vim/syntax/clushconf.vim usr/share/vim/addons/syntax
 	dh_install --package=$(PYBUILD_NAME) doc/extras/vim/syntax/groupsconf.vim usr/share/vim/addons/syntax
 
-clean:
-	dh $@
+override_dh_auto_clean:
+	dh_auto_clean
 	rm -rf scripts/nodeset scripts/clush scripts/clubak scripts/cluset lib/ClusterShell.egg-info
-

## clustershell 1.8.4

=== debian/changelog ===
clustershell (1.8.4-1) unstable; urgency=medium

  * New upstream release 1.8.4
  * Debian policy 4.6.0.1, no changes required
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on python3-all.

 -- Stéphan Gorget <phantez@gmail.com>  Wed, 02 Feb 2022 21:09:23 -0000

clustershell (1.8.3-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Sandro Tosi <morph@debian.org>  Wed, 08 Sep 2021 22:38:30 -0400

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: clustershell
 Section: net
 Priority: optional
-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Stéphan Gorget <phantez@gmail.com>
-Homepage: https://cea-hpc.github.com/clustershell/
-Build-Depends: debhelper-compat (= 12), python3-all (>= 3.4), python3-setuptools, dh-python
-Standards-Version: 4.2.1
-Vcs-Git: https://salsa.debian.org/python-team/applications/clustershell.git
-Vcs-Browser: https://salsa.debian.org/python-team/applications/clustershell
+Homepage: https://cea-hpc.github.io/clustershell/
+Build-Depends: debhelper-compat (= 13), python3-all, python3-setuptools, dh-python
+Standards-Version: 4.6.0.1
+Vcs-Git: https://salsa.debian.org/python-team/packages/clustershell.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/clustershell
 
 Package: python3-clustershell
 Architecture: all

## clustershell 1.9

=== debian/changelog ===
clustershell (1.9-1) unstable; urgency=medium

  * New upstream release 1.9
  * Remove unnecessary README.debian file about vim-addon
  * Update copyright years
  * Update debian policy version to 4.6.1.1
  * Remove empty files from the debian dir
  * Remove get-orig-tarball target
  * Remove python3-yaml recommended from clustershell package
  * Remove python3-pkg-resources from python3-clustershell dependency
  * Define import_name for autopkgtest
  * Remove empty /etc folder in python3-clustershell

 -- Stéphan Gorget <phantez@gmail.com>  Wed, 30 Nov 2022 12:34:56 +0000

clustershell (1.8.4-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 26 May 2022 19:46:27 +0100

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Uploaders: Stéphan Gorget <phantez@gmail.com>
 Homepage: https://cea-hpc.github.io/clustershell/
 Build-Depends: debhelper-compat (= 13), python3-all, python3-setuptools, dh-python
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1.1
 Vcs-Git: https://salsa.debian.org/python-team/packages/clustershell.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/clustershell
 
 Package: python3-clustershell
 Architecture: all
 Section: python
-Depends: ${misc:Depends}, ${python3:Depends}, python3-pkg-resources
+Depends: ${misc:Depends}, ${python3:Depends}
 Suggests: vim-addon-manager
 Recommends: python3-yaml
 Description: clustershell python3 libraries
@@ -24,7 +24,6 @@
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}, python3-clustershell
 Suggests: vim-addon-manager
-Recommends: python3-yaml
 Description: Distributed shell that provides an efficient Python interface
  Event-based Python library to execute commands on local or distant
  cluster nodes in parallel depending on the selected engine and

=== debian/rules ===
--- 
+++ 
@@ -3,13 +3,10 @@
 #export DH_VERBOSE=1
 export PYBUILD_NAME=clustershell
 export PYBUILD_DESTDIR_python3 = debian/python3-$(PYBUILD_NAME)
-export PYBUILD_AFTER_INSTALL_python3 = rm -rf {destdir}/etc/clustershell
+export PYBUILD_AFTER_INSTALL_python3 = rm -rf {destdir}/etc
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
-
-get-orig-tarball:
-	uscan --verbose --force-download
 
 override_dh_auto_install:
 	dh_auto_install

=== debian/watch ===
version=4
https://pypi.debian.net/ClusterShell/ClusterShell-(.*).tar.gz

## clustershell 1.9.1

=== debian/changelog ===
clustershell (1.9.1-1) unstable; urgency=medium

  * New upstream release 1.9.1
  * Update debian policy version to 4.6.2.0
  * Add couple of configuration examples
  * Relocate all configuration examples under /etc/clustershell
  * Remove d/clustershell.examples

 -- Stéphan Gorget <phantez@gmail.com>  Tue, 14 Feb 2023 15:53:03 +0000

=== debian/rules ===
--- 
+++ 
@@ -12,14 +12,18 @@
 	dh_auto_install
 	dh_movefiles --package=$(PYBUILD_NAME) --sourcedir=$(PYBUILD_DESTDIR_python3) usr/bin
 	dh_install --package=$(PYBUILD_NAME) conf/clush.conf etc/clustershell
+	dh_install --package=$(PYBUILD_NAME) conf/clush.conf.d etc/clustershell
 	dh_install --package=$(PYBUILD_NAME) conf/groups.conf etc/clustershell
 	dh_install --package=$(PYBUILD_NAME) conf/groups.conf.d etc/clustershell
 	dh_install --package=$(PYBUILD_NAME) conf/groups.d etc/clustershell
+	dh_install --package=$(PYBUILD_NAME) conf/topology.conf.example etc/clustershell
 	dh_install --package=$(PYBUILD_NAME) debian/clustershell.yaml usr/share/vim/registry
 	dh_install --package=$(PYBUILD_NAME) debian/clustershell.yaml usr/share/vim/registry
 	dh_install --package=$(PYBUILD_NAME) doc/extras/vim/ftdetect/clustershell.vim usr/share/vim/addons/ftdetect
 	dh_install --package=$(PYBUILD_NAME) doc/extras/vim/syntax/clushconf.vim usr/share/vim/addons/syntax
 	dh_install --package=$(PYBUILD_NAME) doc/extras/vim/syntax/groupsconf.vim usr/share/vim/addons/syntax
+	rm -rf $(PYBUILD_DESTDIR_python3)/usr/etc
+	rm -rf $(PYBUILD_DESTDIR_python3)/usr/share/man
 
 override_dh_auto_clean:
 	dh_auto_clean

## clustershell 1.9.2

=== debian/changelog ===
clustershell (1.9.2-1) unstable; urgency=medium

  * New upstream release 1.9.2

 -- Stéphan Gorget <phantez@gmail.com>  Tue, 17 Oct 2023 07:59:05 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Stéphan Gorget <phantez@gmail.com>
 Homepage: https://cea-hpc.github.io/clustershell/
 Build-Depends: debhelper-compat (= 13), python3-all, python3-setuptools, dh-python
-Standards-Version: 4.6.1.1
+Standards-Version: 4.6.2.0
 Vcs-Git: https://salsa.debian.org/python-team/packages/clustershell.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/clustershell

## clustershell 1.9.3

=== debian/changelog ===
clustershell (1.9.3-1) unstable; urgency=medium

  [ Stéphan Gorget ]
  * New upstream release
  * Add bash_completion build dependency
  * Update debian policy version to 4.7.0

  [ Jeroen Ploemen ]
  * Bump Standards-Version to 4.7.0 (from 4.6.2; no further changes).

 -- Stéphan Gorget <phantez@gmail.com>  Thu, 30 Jan 2025 17:02:37 +0000

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Stéphan Gorget <phantez@gmail.com>
 Homepage: https://cea-hpc.github.io/clustershell/
-Build-Depends: debhelper-compat (= 13), python3-all, python3-setuptools, dh-python
-Standards-Version: 4.6.2.0
+Build-Depends: debhelper-compat (= 13), python3-all, python3-setuptools, dh-python, bash-completion
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/python-team/packages/clustershell.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/clustershell

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export PYBUILD_AFTER_INSTALL_python3 = rm -rf {destdir}/etc
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --with python3 --with bash-completion --buildsystem=pybuild
 
 override_dh_auto_install:
 	dh_auto_install
